CREATE TABLE topology_version (version number not null, name VARCHAR2(200), user_version VARCHAR2(200), created_by VARCHAR2(200), created_time number, deleted number(1), deleted_time number, PRIMARY KEY (version));
CREATE TABLE topology_scope (ip_addr varchar2(15) not null, type number not null, last_ip_addr varchar2(15), ip_netmask varchar2(15), version number not null, exclude number(1) not null, edit number(1) not null, PRIMARY KEY (ip_addr, type, version, exclude, edit));
CREATE TABLE topology_seq_id (name VARCHAR2(200) not null, count number not null, PRIMARY KEY (name));
INSERT INTO topology_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_seq_id (name VARCHAR2(200) not null, count number not null, PRIMARY KEY (name));
INSERT INTO change_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_history_table (id number not null, object_id VARCHAR2(200) not null, object_display_name VARCHAR2(400), attribute_name VARCHAR2(100), old_value CLOB, new_value CLOB, class_name VARCHAR2(300), what_changed number, actual_change_type number,when_changed number, handled_by_state_manager number, type_of_event number, discovery_run_id number not null, parent_ids VARCHAR2(400), old_value_display_name VARCHAR2(400), new_value_display_name VARCHAR2(400), PRIMARY KEY (id));
CREATE TABLE change_cause_table (event_id number not null, cause_id number not null , PRIMARY KEY (event_id,cause_id));
CREATE TABLE change_server_status (run_id number not null, status number not null, PRIMARY KEY (run_id));
CREATE TABLE topology_change_history (id number not null, top_obj_id number not null, audit_time number not null, type number not null, attribute_name varchar2(200) not null, old_value CLOB, new_value CLOB, parent_ids varchar2(255), parent_names varchar2(4000), run_id number not null, PRIMARY KEY (id));
CREATE TABLE provision_audit_log (id number not null, workflow_id number not null, time number not null, module_name VARCHAR2(400), package_name VARCHAR2(400), application_name VARCHAR2(400), actor_name VARCHAR2(400), message VARCHAR2(1000), PRIMARY KEY (id));
CREATE INDEX change_event_index ON change_history_table (type_of_event);
CREATE INDEX change_run_id_index ON change_history_table (discovery_run_id);
CREATE INDEX change_object_id_index ON change_history_table (object_id);
CREATE INDEX change_changed_index ON change_history_table (what_changed);
CREATE TABLE cmdb_guid_alias (master_guid VARCHAR2(32) not null, alias_guid VARCHAR2(32) not null, PRIMARY KEY (alias_guid));
CREATE TABLE cmdb_guid_dependency (guid VARCHAR2(32) not null, depends_on_guid VARCHAR2(32) not null, depends_on_updated NUMBER(1), PRIMARY KEY (guid, depends_on_guid));
