CREATE FUNCTION concat(varchar, varchar) returns varchar as 'SELECT $1 || $2;' LANGUAGE 'sql';
CREATE FUNCTION concat(varchar, int4) returns varchar as 'SELECT $1 || $2;' LANGUAGE 'sql';
CREATE FUNCTION concat(int4, int4) returns varchar as 'SELECT $1 || $2;' LANGUAGE 'sql';
CREATE TABLE topology_version (version BIGINT not null, name VARCHAR(200), user_version VARCHAR(200), created_by VARCHAR(200), created_time BIGINT, deleted SMALLINT, deleted_time BIGINT, PRIMARY KEY (version))
CREATE TABLE topology_scope (ip_addr varchar(15) not null, type BIGINT not null, last_ip_addr varchar(15), ip_netmask varchar(15), version SMALLINT not null, exclude SMALLINT not null, edit SMALLINT not null, PRIMARY KEY (ip_addr, type, version, exclude, edit))
CREATE TABLE topology_seq_id (name VARCHAR(200) not null, count BIGINT not null, PRIMARY KEY (name));
INSERT INTO topology_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_seq_id (name VARCHAR(200) not null, count BIGINT not null, PRIMARY KEY (name));
INSERT INTO change_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_history_table(id BIGINT not null, object_id VARCHAR(200) not null, object_display_name VARCHAR(400), attribute_name VARCHAR(100), old_value TEXT, new_value TEXT, class_name VARCHAR(300), what_changed SMALLINT, actual_change_type SMALLINT, when_changed BIGINT, handled_by_state_manager SMALLINT,  type_of_event SMALLINT, discovery_run_id BIGINT not null, parent_ids VARCHAR(400),old_value_display_name VARCHAR(400), new_value_display_name VARCHAR(400), PRIMARY KEY (id));
CREATE TABLE change_cause_table (event_id BIGINT not null, cause_id BIGINT not null , PRIMARY KEY (event_id,cause_id));
CREATE TABLE change_server_status (run_id BIGINT not null, status SMALLINT not null, PRIMARY KEY (run_id));
CREATE TABLE topology_change_history (id BIGINT not null, top_obj_id BIGINT not null, audit_time BIGINT not null, type SMALLINT not null, attribute_name varchar(200) not null, old_value TEXT, new_value TEXT, parent_ids varchar(255), parent_names varchar(4000), run_id BIGINT not null, PRIMARY KEY (id));
CREATE TABLE provision_audit_log (id BIGINT not null, workflow_id BIGINT not null, time BIGINT not null, module_name VARCHAR(400), package_name VARCHAR(400), application_name VARCHAR(400), actor_name VARCHAR (400), message VARCHAR(1000), PRIMARY KEY (id));
CREATE INDEX change_history_table_id_index ON change_history_table (id);
CREATE INDEX change_history_table_type_of_event_index ON change_history_table (type_of_event);
CREATE INDEX change_history_table_discovery_run_id_index ON change_history_table (discovery_run_id);
CREATE INDEX change_history_table_object_id_index ON change_history_table (object_id);
CREATE INDEX change_history_table_what_changed_index ON change_history_table (what_changed);
CREATE TABLE cmdb_guid_alias (master_guid VARCHAR(32) not null, alias_guid VARCHAR(32) not null, PRIMARY KEY (alias_guid));
CREATE TABLE cmdb_guid_dependency (guid VARCHAR(32) not null, depends_on_guid VARCHAR(32) not null, depends_on_updated SMALLINT, PRIMARY KEY (guid, depends_on_guid));
